/*
 * Class BOX [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_700 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_700 [] = {0xFF01,237,699,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_700 [] = {0xFF01,699,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_700 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_700 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_700 [] = {0xFF01,699,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_700 [] = {0xFF01,699,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_700 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_700 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_700 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_700 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_700 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_700 [] = {699,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_700 [] = {0xFF01,699,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_700 [] = {0xFF01,686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_700 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_700[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_700), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_700), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_700), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_700), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_700), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_700), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_700), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_700), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_700), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_700), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_700), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_700), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_700), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_700), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1906, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1909, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_700), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_700), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init700(void)
{
	IDSC(desc_700, 0, 699);
	IDSC(desc_700 + 1, 1, 699);
	IDSC(desc_700 + 32, 77, 699);
	IDSC(desc_700 + 41, 35, 699);
}


#ifdef __cplusplus
}
#endif
